Subject: Re: [PATCH v2 2/5] gitweb: fix generation of "gitweb.js"

From: Toon Claes <[email-masked]>
Date: Tue, 01 Apr 2025 18:30:22 +0200

Patrick Steinhardt <[email-masked]> writes:

> In 19d8fe7da65 (Makefile: extract script to generate gitweb.js,
> 2024-12-06) we have extracted the logic to build "gitweb.js" into a
> separate script. As part of that the rules that builds the script
> has gained a new dependency on that script.
>
> This refactoring is broken though because we use "$^" to determine
> the set of JavaScript files that need to be concatenated, and this
> implicit variable now also contains the build script itself. As a
> result, the build script ends up ni the generated "gitweb.js" file,

Tiniest typo: ni -> in

But that's all I've got about this patch series. :+1:

-- 
Toon